#ifndef FORMAT_H
#define FORMAT_H
///////////////////////////////////////////////////////////////////////
//
// This file is part of the finlink conduit for PalmCoins 
// Copyright (C) 2001 Andrew S. Townley 
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA,
// 02111-1307  USA
//
// Name:	Format.h
// Author:	Andrew S. Townley <adz1092 at netscape dot net>
// Created:	Tue Jun 12 09:04:40 CDT 2001
//
///////////////////////////////////////////////////////////////////////

#include "stdcxx.h"

/**
 * This class takes care of some formatting routines that (at the
 * moment) are primarily intended for debugging use.
 */

class Format
{
public:
	static string fmt_date(time_t d);
	static string make_line(char c, int count);
	static string elid_string(const string& s, int fwidth);
};

#endif
