///////////////////////////////////////////////////////////////////////
//
// This file is part of the finlink conduit for PalmCoins 
// Copyright (C) 2001 Andrew S. Townley 
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA,
// 02111-1307  USA
//
// Name:	Format.cpp
// Author:	Andrew S. Townley <adz1092 at netscape dot net>
// Created:	Tue Jun 12 09:06:03 CDT 2001
//
///////////////////////////////////////////////////////////////////////

#include "Format.h"

string Format::fmt_date(time_t d)
{
	char buf[255];
	strftime(buf, 255, "%d-%b-%y", localtime(&d));
	return string(buf);
}

string Format::make_line(char c, int count)
{
	string s;

	for(int i = 0; i < count; ++i)
		{
		s += c;
		}
	
	return s;
}

string Format::elid_string(const string& s, int fwidth)
{
	string x;
	if(s.length() < fwidth)
		{
		return s;
		}
	
	x = s.substr(0, fwidth-3);
	x += "...";

	return x;
}
