/**	
	$Revision: 1.2 $
	Last updated: $Date: 2001/07/24 09:02:43 $
	
	Copyright (C) 2000-2001 Vlad Mereuta <dizzy@users.sourceforge.net>

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	$Log: FreeCoins.h,v $
	Revision 1.2  2001/07/24 09:02:43  dizzy
	Renamed some #defines
	
	Revision 1.1  2001/07/24 08:50:23  dizzy
	renamed files to remove refernces to PalmCoins
	
	Revision 1.15  2001/06/27 22:58:11  dizzy
	Restructured #include directives
	
	Revision 1.14  2001/06/14 04:19:49  chaese
	corrected/optimized preferences handling
	
	Revision 1.13  2001/06/10 04:05:41  chaese
	basic infrastructure for split transactions (somewhat tested, but not
	guaranteed to be bug free)
	CAUTION! Database format has changed! Expect nastiness when you run the
	new version on an old Database.
	
	Revision 1.12  2001/01/23 20:40:11  dizzy
	Initial support for scheduled transactions.
	
	Revision 1.11  2000/12/11 16:27:25  dizzy
	C++ version of the code.
	
	Revision 1.10  2000/12/03 13:05:12  dizzy
	Compiles cleanily with the c++ compiler. Some bits&pieces translated to c++
	
	Revision 1.9  2000/11/10 01:25:56  chaese
	merged New Account and Account Details forms
	
	Revision 1.8  2000/10/12 17:17:24  dizzy
	Email address update; lots of bugfixes
	
	Revision 1.7  2000/09/15 10:10:48  dizzy
	First useful version
	
	Revision 1.6  2000/09/08 10:41:10  dizzy
	Transactiondatabas initial support and column display preferences support
	
	Revision 1.5  2000/09/04 14:23:07  dizzy
	General code cleanup
	
	Revision 1.2  2000/08/21 15:04:20  dizzy
	Fixed more bugs. Added scrolling support
	
	Revision 1.1  2000/08/21 08:59:30  dizzy
	Reorganised files	
*/

#ifndef __FREE_COINS__
#define __FREE_COINS__

#include <PalmOS.h>

/**
 **  loads form resources and sets the event handler for the form loaded.
 **  returns true if the event was handled and should not be passed
 **  to a higher level handler.
 **/
static Boolean ApplicationHandleEvent( EventPtr event );

/**
 **  The main event loop of the application
 **/
static void ApplicationEventLoop(void);

/**
  Called when the application starts/stops
*/
static void StartApplication(void);

/**
	 Called when the application stops
*/
static void StopApplication(void);

#endif
