/**	
	$Revision: 1.1 $
	Last updated: $Date: 2001/07/15 11:38:12 $
	
	Copyright (C) 2001 Vlad Mereuta <dizzy@users.sourceforge.net>

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	$Log: PurgeTransForm.h,v $
	Revision 1.1  2001/07/15 11:38:12  dizzy
	Added interface for purging transactions
	
*/

#ifndef __PURGE_TRANSACTION_FORM__
#define __PURGE_TRANSACTION_FORM__

#include <PalmOS.h>

#include "Form.h"
#include "TransactionsDB.h"
#include "MiscFunc.h" //code section defs

///the form is used to create a new transaction or to modify an existing one, depending on the record_is_new member
class PurgeTransForm : public Form
{
  private:
   ///date text
	Char		    date_txt[dateStringLength];
    DateType     date;
	
  public:
	/// event handler for the form
	Boolean handleEvent(EventPtr event) FORM_SECTION;
};
#endif
