#ifndef GNUCASH_H
#define GNUCASH_H
///////////////////////////////////////////////////////////////////////
//
// This file is part of the finlink conduit for PalmCoins 
// Copyright (C) 2001 Andrew S. Townley 
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA,
// 02111-1307  USA
//
// Name:	gnucash.h
// Author:	Andrew S. Townley <adz1092 at netscape dot net>
// Created:	Sat Jun  2 15:06:30 CDT 2001
// Description:
// 	This file takes care of all the GNUCash engine include files.
//
///////////////////////////////////////////////////////////////////////

#ifdef __cplusplus
extern "C" {
#endif

#include "Account.h"
#include "AccountP.h"
#include "Group.h"
#include "TransLog.h"
#include "Session.h"
#include "Transaction.h"

void init_module(void);

#ifdef __cplusplus
}
#endif

#endif
