#ifndef FINLINK_H
#define FINLINK_H
///////////////////////////////////////////////////////////////////////
//
// This file is part of the finlink conduit for PalmCoins 
// Copyright (C) 2001 Andrew S. Townley 
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA,
// 02111-1307  USA
//
// Name:	finlink.h
// Author:	Andrew S. Townley <adz1092 at netscape dot net>
// Created:	Sat Jun  2 13:24:52 CDT 2001
// Description:
// 	This is the common include to get all the "standard" classes
// 	and types.
//
///////////////////////////////////////////////////////////////////////

#include "stdcxx.h"
#include "ErrorTrace.h"
#include "Balance.h"
#include "Format.h"
#include "FatalException.h"
#include "Iterator.h"
#include "AccountNode.h"
#include "AccountManager.h"
#include "ManagerFactory.h"
#include "ModuleLoader.h"

#endif
