/**	
	$Revision: 1.9 $
	Last updated: $Date: 2001/06/27 22:58:11 $
	
	Copyright (C) 2000-2001 Vlad Mereuta <dizzy@users.sourceforge.net>

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	$Log: PreferencesForm.h,v $
	Revision 1.9  2001/06/27 22:58:11  dizzy
	Restructured #include directives
	
	Revision 1.8  2001/06/26 23:30:37  dizzy
	Forms are now classes rather then namespaces. This should enable future code optimisations	
*/

#ifndef __PREFERENCES_FORM__
#define __PREFERENCES_FORM__

#include <PalmOS.h>

#include "Form.h"
#include "ChooseAccountForm.h"

///contains functions and variabile definitions to manipulate the Prefereces Form
class PreferencesForm : public Form
{	
	private:
	Char		acc_name[50];
	UInt32	acc_uid;
	ChooseAccountForm*	choose_account_form;
	
	public:
	PreferencesForm(ChooseAccountForm* c) : choose_account_form(c) {}
			
	///	event handler for the form
	Boolean	handleEvent(EventPtr) FORM_SECTION;
};
#endif
